Subject: Re: bug#12380: more control over window splitting

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Feb 2022 10:30:33 +0100

Doug Morgan <[email-masked]> writes:

> emac version: 24.2.1
> cygwin
> Vista
>
> Edit a file
> C-x 2
> (OK, now you have a two windows split horizontally)
> C-x C-b
> One of the windows **splits vertically**(!!) to show the buffer menu.
> Older versions of emacs (I don't know how far back you have to go) use
> the "other" window of the two horizontally split window to display the
> menu.  The old way is by far the better way.  The same thing happens
> with C-x 4 C-f and I think other C-x 4 commands. All make for annoying
> work cleaning up your windows after the unwanted vertical splits
> happen.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no